## javax.servlet
Class ServletContextEvent

    java.lang.Object
      java.util.EventObject
          javax.servlet.ServletContextEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ServletContextAttributeEvent

    public class ServletContextEvent

extends EventObject

This is the event class for notifications about changes to the servlet context of a web application.

Since:
  v 2.3
See Also:
  `ServletContextListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ServletContextEvent(ServletContext source)` Construct a ServletContextEvent from the given context.

Method Summary
`ServletContext` `getServletContext()` Return the ServletContext that changed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletContextEvent

    public ServletContextEvent(ServletContext source)

  Construct a ServletContextEvent from the given context.

  Parameters:
    `source` - - the ServletContext that is sending the event.

Method Detail

### getServletContext

    public ServletContext getServletContext()

  Return the ServletContext that changed.

  Returns:
    the ServletContext that sent the event.

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.